Sql Pools Dataware House Queries Steps - List
Lists the datawareHouse queries steps of a SQL pool
SQL pool datawareHouse queries steps
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/sqlPools/{sqlPoolName}/dataWarehouseQueries/{dataWarehouseQueriesId}/steps?api-version=2021-06-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
data
|
path | True |
string |
DatawareHouseQueries Id |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
sql
|
path | True |
string |
SQL pool name |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
workspace
|
path | True |
string |
The name of the workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Examples
Get Sql pool DataWarehouseQueriesSteps
Sample request
GET https://management.azure.com/subscriptions/cde3513f-fbc4-414d-abc2-c4b2ad011bd8/resourceGroups/kedodd2021synrg1/providers/Microsoft.Synapse/workspaces/kedoddsynprodws/sqlPools/kedoddsqlpool1/dataWarehouseQueries/QID683040/steps?api-version=2021-06-01-preview
Sample response
{
"value": [
{
"id": "/subscriptions/cde3513f-fbc4-414d-abc2-c4b2ad011bd8/resourceGroups/kedodd2021synrg1/providers/Microsoft.Synapse/workspaces/kedoddsynprodws/sqlPools/kedoddsqlpool1/dataWarehouseQueries/QID683040/steps/0",
"type": "Microsoft.Synapse/workspaces/sqlPools/dataWarehouseQueries/steps",
"name": "0",
"properties": {
"queryId": "QID683040",
"startTime": "2022-08-01T02:27:39.36",
"endTime": "2022-08-01T02:27:59.91",
"duration": 20562,
"status": "Completed",
"queryText": "--Backing up Logical Azure Database",
"stepIndex": "0,",
"operationType": "BackupAzureDatabaseOperation",
"distributionType": "AllAzureEndpoints",
"locationType": "Control",
"rowCount": "-1"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Data |
The response to a list datawarehouse queries.steps |
|
Data |
SQL pool collection |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Steps |
Type of distribution |
|
Steps |
Type of location |
|
Steps |
Type of operation |
DataWarehouseQueriesSteps
The response to a list datawarehouse queries.steps
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.distributionType |
Type of distribution |
|
| properties.duration |
number (int32) |
The duration of requested dataWarehouseQueries Steps. |
| properties.endTime |
string (date-time) |
The end time of dataWarehouseQueries Steps. |
| properties.locationType |
Type of location |
|
| properties.operationType |
Type of operation |
|
| properties.queryId |
string |
Requested QueryId. of datawarehousequeries steps |
| properties.queryText |
string |
QueryText Message |
| properties.rowCount |
string |
Number of rows count |
| properties.startTime |
string (date-time) |
The start time of dataWarehouseQueries Steps. |
| properties.status |
string |
Status of dataWarehouseQueries Steps |
| properties.stepIndex |
string |
dataWarehouseQueries step index |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
DataWarehouseQueriesStepsList
SQL pool collection
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to the next page of results |
| value |
Resource properties. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
StepsDistributionType
Type of distribution
| Value | Description |
|---|---|
| AllAzureEndpoints | |
| AllComputeNodes | |
| AllDistributions | |
| AllNodes | |
| ComputeNode | |
| Distribution | |
| SubsetDistributions | |
| SubsetNodes | |
| Unspecified |
StepsLocationType
Type of location
| Value | Description |
|---|---|
| Compute | |
| Control | |
| DMS |
StepsOperationType
Type of operation
| Value | Description |
|---|---|
| BackupAzureDatabaseOperation | |
| BroadcastMoveOperation | |
| CheckEncryptionStatusOperation | |
| CopyOperation | |
| CreateDiagnosticsOperation | |
| DSQLCallBackOperation | |
| DbccShowStatisticsOperation | |
| DistributedExchangeOperation | |
| DistributeReplicatedTableMoveOperation | |
| DropDiagnosticsNotifyOperation | |
| DropDiagnosticsSynchronizeOperation | |
| ExternalBroadcastMove | |
| ExternalExportControlMove | |
| ExternalExportControlOperation | |
| ExternalExportDistributedMove | |
| ExternalExportDistributedOperation | |
| ExternalExportReplicatedMove | |
| ExternalExportReplicatedOperation | |
| ExternalShuffleOperation | |
| ExternalStatisticsOperation | |
| HadoopBroadcastOperation | |
| HadoopRoundRobinOperation | |
| HadoopShuffleOperation | |
| InsertBulkOperation | |
| MetaDataCreateOperation | |
| MoveOperation | |
| OnOperation | |
| PartitionMoveOperation | |
| RandomIDOperation | |
| ReconfigureOperation | |
| ReturnOperation | |
| RoundRobinMoveOperation | |
| SetIdentityInsertOperation | |
| SetOptionsOperation | |
| ShuffleMoveOperation | |
| SingleSourceRoundRobinMoveOperation | |
| TempTablePropertiesOperation | |
| TrimMoveOperation |